Subject: Re: bug#7231: 23.3; Don't rebuild buffer list in iswitchb-visit-buffer

From: Stefan Monnier <[email-masked]>
Date: Sun, 17 Oct 2010 14:48:10 -0400

> The original change was to address buffer name changes due to packages
> such as uniquify.el. But it causes another annoying bug: changing the
> order of matches seen by users.

> This reverts it.

I don't think we should just revert.  If the fix for the old problem
introduces a new problem, we should try and find a solution that fixes
both problems at once.

        Stefan